Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing
Class JRadioButton

    java.lang.Object
      |
      +--java.awt.Component
            |
            +--java.awt.Container
                  |
                  +--javax.swing.JComponent
                        |
                        +--javax.swing.AbstractButton
                              |
                              +--javax.swing.JToggleButton
                                    |
                                    +--javax.swing.JRadioButton

public class JRadioButton
extends JToggleButton
implements Accessible

An implementation of a radio button -- an item that can be selected or deselected, and which displays its state to the user. Used with a `ButtonGroup` object to create a group of buttons in which only one button at a time can be selected. (Create a ButtonGroup object and use its `add` method to include the JRadioButton objects in the group.)

> Note:
> The ButtonGroup object is a logical grouping -- not a physical grouping. Tocreate a button panel, you should still create a `JPanel` or similar container-object and add a `Border` to it to set it off from surrounding components.

> > See How to Use Radio Buttons in The Java Tutorial for further documentation.

> > For the keyboard keys used by this component in the standard Look and Feel (L&F) renditions, see the JRadioButton key assignments.

> > Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. A future release of Swing will provide support for long term persistence.

> > See Also:
> >   `ButtonGroup`, `JCheckBox`, Serialized Form

> > Inner Class Summary
> > `protected class` | `JRadioButton.AccessibleJRadioButton` The class used to obtain the accessible role for this object.

> > Inner classes inherited from class javax.swing.JToggleButton
> > `JToggleButton.AccessibleJToggleButton, JToggleButton.ToggleButtonModel`

> > Inner classes inherited from class javax.swing.AbstractButton
> > `AbstractButton.AccessibleAbstractButton, AbstractButton.ButtonChangeListener`

> > Inner classes inherited from class javax.swing.JComponent
> > `JComponent.AccessibleJComponent`

> > Fields inherited from class javax.swing.AbstractButton
> > `actionListener, BORDER_PAINTED_CHANGED_PROPERTY, changeEvent, changeListener, CONTENT_AREA_FILLED_CHANGED_PROPERTY, DISABLED_ICON_CHANGED_PROPERTY, DISABLED_SELECTED_ICON_CHANGED_PROPERTY, FOCUS_PAINTED_CHANGED_PROPERTY, HORIZONTAL_ALIGNMENT_CHANGED_PROPERTY, HORIZONTAL_TEXT_POSITION_CHANGED_PROPERTY, ICON_CHANGED_PROPERTY, itemListener, MARGIN_CHANGED_PROPERTY, MNEMONIC_CHANGED_PROPERTY, model, MODEL_CHANGED_PROPERTY, PRESSED_ICON_CHANGED_PROPERTY, ROLLOVER_ENABLED_CHANGED_PROPERTY, ROLLOVER_ICON_CHANGED_PROPERTY, ROLLOVER_SELECTED_ICON_CHANGED_PROPERTY, SELECTED_ICON_CHANGED_PROPERTY, TEXT_CHANGED_PROPERTY, VERTICAL_ALIGNMENT_CHANGED_PROPERTY, VERTICAL_TEXT_POSITION_CHANGED_PROPERTY`

> > Fields inherited from class javax.swing.JComponent
> > `accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

> > Fields inherited from class java.awt.Component
> > `BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

> > Constructor Summary
> > `JRadioButton()` Creates an initially unselected radio button with no set text.
> > `JRadioButton(Icon icon)` Creates an initially unselected radio button with the specified image but no text.
> > `JRadioButton(Icon icon, boolean selected)` Creates a radio button with the specified image and selection state, but no text.
> > `JRadioButton(java.lang.String text)` Creates an unselected radio button with the specified text.
> > `JRadioButton(java.lang.String text, boolean selected)` Creates a radio button with the specified text and selection state.
> > `JRadioButton(java.lang.String text, Icon icon)` Creates a radio button that has the specified text and image, and that is initially unselected.
> > `JRadioButton(java.lang.String text, Icon icon, boolean selected)` Creates a radio button that has the specified text, image, and selection state.

> > Method Summary
> > `AccessibleContext` | `getAccessibleContext()` Get the AccessibleContext associated with this JComponent
> > `java.lang.String` | `getUIClassID()` Returns the name of the L&F class that renders this component.
> > `protected java.lang.String` | `paramString()` Returns a string representation of this JRadioButton.
> > `void` | `updateUI()` Notification from the UIFactory that the L&F has changed.

> > Methods inherited from class javax.swing.AbstractButton
> > `addActionListener, addChangeListener, addItemListener, checkHorizontalKey, checkVerticalKey, createActionListener, createChangeListener, createItemListener, doClick, doClick, fireActionPerformed, fireItemStateChanged, fireStateChanged, getActionCommand, getDisabledIcon, getDisabledSelectedIcon, getHorizontalAlignment, getHorizontalTextPosition, getIcon, getLabel, getMargin, getMnemonic, getModel, getPressedIcon, getRolloverIcon, getRolloverSelectedIcon, getSelectedIcon, getSelectedObjects, getText, getUI, getVerticalAlignment, getVerticalTextPosition, init, isBorderPainted, isContentAreaFilled, isFocusPainted, isRolloverEnabled, isSelected, paintBorder, removeActionListener, removeChangeListener, removeItemListener, setActionCommand, setBorderPainted, setContentAreaFilled, setDisabledIcon, setDisabledSelectedIcon, setEnabled, setFocusPainted, setHorizontalAlignment, setHorizontalTextPosition, setIcon, setLabel, setMargin, setMnemonic, setMnemonic, setModel, setPressedIcon, setRolloverEnabled, setRolloverIcon, setRolloverSelectedIcon, setSelected, setSelectedIcon, setText, setUI, setVerticalAlignment, setVerticalTextPosition`

> > Methods inherited from class javax.swing.JComponent
> > `addAncestorListener, addNotify, addPropertyChangeListener, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getAlignmentX, getAlignmentY, getAutoscrolls, getBorder, getBounds, getClientProperty, getComponentGraphics, getConditionForKeyStroke, getDebugGraphicsOptions, getGraphics, getHeight, getInsets, getInsets, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getVisibleRect, getWidth, getX, getY, grabFocus, hasFocus, isDoubleBuffered, isFocusCycleRoot, isFocusTraversable, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paint, paintChildren, paintComponent, paintImmediately, paintImmediately, processComponentKeyEvent, processFocusEvent, processKeyEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removePropertyChangeListener, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setDebugGraphicsOptions, setDoubleBuffered, setFont, setForeground, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setUI, setVisible, unregisterKeyboardAction, update`

> > Methods inherited from class java.awt.Container
> > `add, add, add, add, add, addContainerListener, addImpl, countComponents, deliverEvent, doLayout, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getLayout, insets, invalidate, isAncestorOf, layout, list, list, locate, minimumSize, paintComponents, preferredSize, print, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setLayout, validate, validateTree`

> > Methods inherited from class java.awt.Component
> > `action, add, addComponentListener, addFocusListener, addKeyListener, addMouseListener, addMouseMotionListener, bounds, checkImage, checkImage, contains, createImage, createImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, getBackground, getBounds, getColorModel, getCursor, getFont, getFontMetrics, getForeground, getLocale, getLocation, getLocationOnScreen, getName, getParent, getPeer, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hide, imageUpdate, inside, isEnabled, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, printAll, processComponentEvent, processMouseEvent, remove, removeComponentListener, removeFocusListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setCursor, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus`

> > Methods inherited from class java.lang.Object
> > `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

> > Constructor Detail

> > ### JRadioButton

> >     public JRadioButton()

> >   Creates an initially unselected radio button with no set text.

> > ### JRadioButton

> >     public JRadioButton(Icon icon)

> >   Creates an initially unselected radio button with the specified image but no text.
> >   Parameters:
> >     `icon` - the image that the button should display

> > ### JRadioButton

> >     public JRadioButton(Icon icon,
> >                         boolean selected)

> >   Creates a radio button with the specified image and selection state, but no text.
> >   Parameters:
> >     `icon` - the image that the button should display
> >     `selected` - if true, the button is initially selected; otherwise, the button is initially unselected

> > ### JRadioButton

> >     public JRadioButton(java.lang.String text)

> >   Creates an unselected radio button with the specified text.
> >   Parameters:
> >     `text` - the string displayed on the radio button

> > ### JRadioButton

> >     public JRadioButton(java.lang.String text,
> >                         boolean selected)

> >   Creates a radio button with the specified text and selection state.
> >   Parameters:
> >     `text` - the string displayed on the radio button
> >     `selected` - if true, the button is initially selected; otherwise, the button is initially unselected

> > ### JRadioButton

> >     public JRadioButton(java.lang.String text,
> >                         Icon icon)

> >   Creates a radio button that has the specified text and image, and that is initially unselected.
> >   Parameters:
> >     `text` - the string displayed on the radio button
> >     `icon` - the image that the button should display

> > ### JRadioButton

> >     public JRadioButton(java.lang.String text,
> >                         Icon icon,
> >                         boolean selected)

> >   Creates a radio button that has the specified text, image, and selection state.
> >   Parameters:
> >     `text` - the string displayed on the radio button
> >     `icon` - the image that the button should display

> > Method Detail

> > ### updateUI

> >     public void updateUI()

> >   Notification from the UIFactory that the L&F has changed.
> >   Overrides:
> >     updateUI in class JToggleButton
> >   See Also:
> >     `JComponent.updateUI()`

> > ### getUIClassID

> >     public java.lang.String getUIClassID()

> >   Returns the name of the L&F class that renders this component.
> >   Returns:
> >     String "RadioButtonUI"
> >   Overrides:
> >     getUIClassID in class JToggleButton
> >   See Also:
> >     `JComponent.getUIClassID()`, `UIDefaults.getUI(javax.swing.JComponent)`

> > ### paramString

> >     protected java.lang.String paramString()

> >   Returns a string representation of this JRadioButton. This method is intended to be used only for debugging purposes, and the content and format of the returned string may vary between implementations. The returned string may be empty but may not be `null`.

> >   Overriding paramString() to provide information about the specific new aspects of the JFC components.

> >   Returns:
> >     a string representation of this JRadioButton.
> >   Overrides:
> >     paramString in class JToggleButton

> > ### getAccessibleContext

> >     public AccessibleContext getAccessibleContext()

> >   Get the AccessibleContext associated with this JComponent
> >   Specified by:
> >     getAccessibleContext in interface Accessible
> >   Returns:
> >     the AccessibleContext of this JComponent
> >   Overrides:
> >     getAccessibleContext in class JToggleButton

> > Overview | Package | Class | Use | Tree | Deprecated | Index | Help
> > | Swing 1.1
> > PREV CLASS NEXT CLASS | FRAMES NO FRAMES
> > SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

> > Submit a bug or feature
> > Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
> > Copyright 1993-1998 Sun Microsystems, Inc. 901 San Antonio Road,
> > Palo Alto, California, 94303, U.S.A. All Rights Reserved.